| seealso

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Find programs with similar function to a specified program

## Description

seealso takes the name of an EMBOSS or EMBASSY program and returns a list of applications in the same functional group. Application names and short descriptions are listed. Optionally, the output is written to an HTML table.

## Usage

Here is a sample session with seealso

    % seealso
    Find programs with similar function to a specified program
    Program to search for: matcher

    SEE ALSO
    domainalign  Generate alignments (DAF file) for nodes in a DCF file
    domainrep    Reorder DCF file to identify representative structures
    oalistat     Statistics for multiple alignment files
    seqalign     Extend alignments (DAF file) with sequences (DHF file)
    seqmatchall  All-against-all word comparison of a sequence set
    supermatcher Calculate approximate local pair-wise alignments of larger sequences
    water        Smith-Waterman local alignment of sequences
    wordfinder   Match large sequences against one or more other sequences
    wordmatch    Find regions of identity (exact matches) of two sequences

## Command line arguments

    Find programs with similar function to a specified program
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-search]            string     Enter the name of an EMBOSS program (Any
                                      string of at least 1 characters)

       Additional (Optional) qualifiers:
       -explode            boolean    [N] The groups that EMBOSS applications
                                      belong to have two forms, exploded and not
                                      exploded. The exploded group names are more
                                      numerous and often vaguely phrased than the
                                      non-exploded ones. The exploded names are
                                      formed from definitions of the group names
                                      that start like NAME1:NAME2 and which are
                                      then expanded into many combinations of the
                                      names as: 'NAME1', 'NAME2', 'NAME1 NAME2',
                                      NAME2 NAME1'. The non-expanded names are
                                      simply like: 'NAME1 NAME2'.
                                      Using expanded group names will find many
                                      more programs which share at least some of
                                      the expanded names than using the
                                      non-exploded names and so you will get more
                                      programs reported as sharing a similar
                                      function than you will if you specify that
                                      you wish to use non-exploded names
       -outfile            outfile    [stdout] Output file name
       -html               toggle     [N] If you are sending the output to a file,
                                      this will format it for displaying as a
                                      table in a WWW document.
       -groups             boolean    [N] If you use this option, then only the
                                      group names will output to the file

       Advanced (Unprompted) qualifiers:
       -[no]emboss         boolean    [Y] If you use this option then EMBOSS
                                      program documentation will be searched. If
                                      this option is set to be false, then only
                                      the EMBASSY programs will be searched (if
                                      the -embassy option is true). EMBASSY
                                      programs are not strictly part of EMBOSS,
                                      but use the same code libraries and share
                                      the same look and feel, but are generally
                                      developed by people who wish the programs to
                                      be outside of the GNU Public Licence scheme
       -[no]embassy        boolean    [Y] If you use this option then EMBASSY
                                      program documentation will be searched. If
                                      this option is set to be false, then only
                                      the EMBOSS programs will be searched (if the
                                      -emboss option is true). EMBASSY programs
                                      are not strictly part of EMBOSS, but use the
                                      same code libraries and share the same look
                                      and feel, but are generally developed by
                                      people who wish the programs to be outside
                                      of the GNU Public Licence scheme
       -showembassy        string     If you use this option then this EMBASSY
                                      package program documentation will be
                                      searched. EMBASSY programs are not strictly
                                      part of EMBOSS, but use the same code
                                      libraries and share the same look and feel,
                                      but are generally developed by people who
                                      wish the programs to be outside of the GNU
                                      Public Licence scheme (Any string)
       -colon              boolean    [N] The groups that EMBOSS applications
                                      belong to have up to two levels, for example
                                      the primary group 'ALIGNMENT' has several
                                      sub-groups, or second-level groups, e.g.:
                                      CONSENSUS, DIFFERENCES, DOT PLOTS, GLOBAL,
                                      LOCAL, MULTIPLE. To aid programs that parse
                                      the output of seealso that require the names
                                      of these subgroups, a colon ':' will be
                                      placed between the first and second level of
                                      the group name if this option is true.

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-search] (Parameter 1) | string | Enter the name of an EMBOSS program | Any string of at least 1 characters | Required
Additional (Optional) qualifiers

-explode

boolean

The groups that EMBOSS applications belong to have two forms, exploded and not exploded. The exploded group names are more numerous and often vaguely phrased than the non-exploded ones. The exploded names are formed from definitions of the group names that start like NAME1:NAME2 and which are then expanded into many combinations of the names as: 'NAME1', 'NAME2', 'NAME1 NAME2', NAME2 NAME1'. The non-expanded names are simply like: 'NAME1 NAME2'. Using expanded group names will find many more programs which share at least some of the expanded names than using the non-exploded names and so you will get more programs reported as sharing a similar function than you will if you specify that you wish to use non-exploded names

Boolean value Yes/No

No

-outfile | outfile | Output file name | Output file | stdout
-html | toggle | If you are sending the output to a file, this will format it for displaying as a table in a WWW document. | Toggle value Yes/No | No
-groups | boolean | If you use this option, then only the group names will output to the file | Boolean value Yes/No | No
Advanced (Unprompted) qualifiers

-[no]emboss

boolean

If you use this option then EMBOSS program documentation will be searched. If this option is set to be false, then only the EMBASSY programs will be searched (if the -embassy option is true). EMBASSY programs are not strictly part of EMBOSS, but use the same code libraries and share the same look and feel, but are generally developed by people who wish the programs to be outside of the GNU Public Licence scheme

Boolean value Yes/No

Yes

-[no]embassy

boolean

If you use this option then EMBASSY program documentation will be searched. If this option is set to be false, then only the EMBOSS programs will be searched (if the -emboss option is true). EMBASSY programs are not strictly part of EMBOSS, but use the same code libraries and share the same look and feel, but are generally developed by people who wish the programs to be outside of the GNU Public Licence scheme

Boolean value Yes/No

Yes

-showembassy | string | If you use this option then this EMBASSY package program documentation will be searched. EMBASSY programs are not strictly part of EMBOSS, but use the same code libraries and share the same look and feel, but are generally developed by people who wish the programs to be outside of the GNU Public Licence scheme | Any string |

-colon

boolean

The groups that EMBOSS applications belong to have up to two levels, for example the primary group 'ALIGNMENT' has several sub-groups, or second-level groups, e.g.: CONSENSUS, DIFFERENCES, DOT PLOTS, GLOBAL, LOCAL, MULTIPLE. To aid programs that parse the output of seealso that require the names of these subgroups, a colon ':' will be placed between the first and second level of the group name if this option is true.

Boolean value Yes/No

No

Associated qualifiers
"-outfile" associated outfile qualifiers
-odirectory | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

## Output file format

The result is header line 'SEE ALSO' then a simple list of program names followed by the one-line description of the program.

If the '-html' qualifier is used, then the result is an HTML-formatted table, lacking the HTML document structures such as <HTML>, <BODY>, </BODY>, </HTML> which the user is expected to provide as the table will usually be included in the middle of a larger HTML document.

## Data files

None.

## Notes

The functional group of a program is set in its ACD file; this is an EMBOSS system file which specifies the application command-line interface such as required parameters, help on the parameters, one-line description of the program and so on. Normally the names of the groups are fairly specific. For example "NUCLEIC COMPOSITION" is a small group of applications for nucleotide sequence composition analysis.

The `-explode` qualifier will increase the number of groups that the program retrieves by splitting the group name at selected points to produce such groups as: "NUCLEIC", "NUCLEIC COMPOSITION" and "COMPOSITION". All programs with the exploded group names which also include "NUCLEIC" and "COMPOSITION" will now be reported. The result of this qualifier is thus a report of a larger number of programs with a more tenuous link to the specified program.

The groups that the program belongs to can be output by using the `-groups` qualifier.

## References

None.

## Warnings

The (optional) HTML-formatted table output lacks the HTML document structures such as
,
,
,
. It is expected the table will be included in the middle of a larger HTML document.

## Diagnostic Error Messages

The error message:

    FATAL ERROR: No application specified.

is output if a non-existent program name is specified.

## Exit status

The program exits with exist status '0' unless a non-existent program name is specified, when the exit status is '1'.

## Known bugs

None.

## See also

Program name | Description
--- | ---
tfm | Display full documentation for an application
wossdata | Find programs by EDAM data
wossinput | Find programs by EDAM input data
wossname | Find programs by keywords in their short description
wossoperation | Find programs by EDAM operation
wossoutput | Find programs by EDAM output data
wossparam | Find programs by EDAM parameter
wosstopic | Find programs by EDAM topic

## Author(s)

Gary Williams formerly at:
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Written 16 June 2000 in response to a need to improve the automatic construction of EMBOSS documentation web pages.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None